<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../DTD/geometry.dtd">
<DDDB> 
  <!-- *  Authors: M.Needham, D.Volyanskyy    * -->
  <logvol name = "lvTTa" material = "Air">
    <subtraction name = "TTaBoxSub">
      <box name ="TTaBox"
          sizeX ="2*HalfWidth"
          sizeY ="2*HalfHeight"
          sizeZ ="StationThickness"/> 
      <tubs name ="TTaBeamPipe" 
           sizeZ ="StationThickness+1.0*mm"
      innerRadius="0.0*mm"
      outerRadius="JacketInnerRad" /> 
    </subtraction> 
    
    <!-- Jacket between wall and layer -->
    <physvol logvol ="/dd/Geometry/BeforeMagnetRegion/TT/Box/lvWallJacket"
             name   ="pvTTaJacket1">
      <posXYZ x ="0.0*mm"
              y ="0.0*mm"
              z ="-0.5*(StationThickness-Jacket1Length)"/>
    </physvol>

    <!-- TTa X-layer  -->
    <physvol logvol = "/dd/Geometry/BeforeMagnetRegion/TT/lvTTaXLayer"
             name   = "pvTTaXLayer">
      <posXYZ x ="0.0*mm" 
              y ="0.0*mm" z="-0.5*DzLayer"/>
    </physvol>

    <!-- Jacket between two layers -->
    <physvol logvol ="/dd/Geometry/BeforeMagnetRegion/TT/Box/lvSmallJacket"
             name   ="pvTTaJacket2">
      <posXYZ x ="0.0*mm"
              y ="0.0*mm"
              z ="0.0*mm"/>
    </physvol>

    <!-- TTa U-layer  -->
    <physvol logvol ="/dd/Geometry/BeforeMagnetRegion/TT/lvTTaULayer"
             name   ="pvTTaULayer">
      <posXYZ x ="0.0*mm"
              y ="0.0*mm"
              z ="0.5*DzLayer"/>
    </physvol>
    
    <!-- Jacket -->
    <physvol logvol ="/dd/Geometry/BeforeMagnetRegion/TT/Box/lvWallJacket"
             name   ="pvTTaJacket3">
      <posXYZ x ="0.0*mm"
              y ="0.0*mm"
              z ="0.5*(StationThickness-Jacket1Length)"/>
    </physvol>
  </logvol>
</DDDB>
